/**
 * 0.0 - Header
 */
 .header {
	position: sticky;
	top: 0;
	left: 0;
	display: grid;
	z-index: 109;
	margin: 0;
	width: 100%;
	background-color: var(--background-header);
	transform: translateY(0%);
	transition: all .18s ease-out;
}

.header__container {
	display: grid;
	align-items: center;
	grid-auto-flow: column;
	grid-template-columns: auto minmax(0, 1fr) auto;
	grid-template-areas: "left right";
	height: 100%;
	padding: 35px 0;
	box-shadow: inset 0 -1px 0 0 var(--color-extra-light);
	transition: all .18s ease-out;
	border-top: 4px solid var(--color-link);
}

.header-fixed .header {
	position: fixed;
}

.header-sticky {
	position: sticky;
	background-color: var(--background);
}

.header-sticky .header__container {
	padding: 20px 0;
	box-shadow: inset 0 -1px 0 0 var(--color-extra-light);
}

.header-scroll-down {
	transform: translateY(-100%);
}

.header-scroll-up {
	transform: translateY(0%);
}

.header__logo,
.header__nav,
.header__tools {
	height: 100%;
	display: grid;
	align-items: center;
	grid-auto-flow: column;
}

.header__nav {
	width: 100%;
	grid-area: center;
	justify-self: center;
}

.header__logo {
	grid-area: left;
	justify-self: start;
}

.header__tools {
	grid-area: right;
	justify-self: end;
	justify-content: end;
}

.header__left-tools,
.header__right-tools {
	height: 100%;
	display: grid;
	align-items: center;
	justify-items: center;
	grid-auto-flow: column;	
}

@media screen and (max-width: 980px) {
	.header__container {
		padding: 25px 0px;
		border-top: 2px solid var(--color-link);
	}
	
	.header-sticky .header__container {
		padding: 15px 0px;
	}

	.header__tools {
		width: auto;
		grid-area: right;
		justify-self: end;
	}
}

@media screen and (max-width: 480px) {
	.header__container {
		padding: 15px 0px;
		border-top: 0px solid var(--color-link);
	}
}

/* header icons */
.header__icons  {
	display: grid;
	align-items: center;
	justify-items: center;
	grid-auto-flow: column;	
	border-left: 0px solid var(--color-extra-light);	
}

.header__icons .button {
	display: grid;
	width: 50px;
	height: 50px;
	margin: 0 0 0 5px;
	padding: 0;
	color: var(--color-white);
}

.header__icons > .button svg {
	width: 22px;
	display: grid;
	justify-items: center;
	align-items: center;
}

@media screen and (max-width: 1440px) {
	.header__icons .button {
		margin-left: 5px;
	}
}

@media screen and (max-width: 980px) {
	.header__icons .search-button {
		display: none;
	}
	
	.header__icons .button  {
		border-width: 2px;
		border-color: var(--color-link);
	}
}